<?php

require_once("../autentificare.php");
require_once("{$sitepath}pagecomponents.php");

check_auth();

$id_fisier = getuserdata('id', 0);
$id_utilizator = $_SESSION['s_id_utilizator'];
$result = "Fişierul nu a putut fi încărcat!";

// Verific daca utilizatorul are drepturi de upload (TO DO !!!)
$sql = "SELECT * 
        FROM utilizatorixgrupuri ug
            JOIN grupuri g ON g.id_grup = ug.id_grup
        WHERE ug.id_utilizator = $id_utilizator AND ug.activ = 1";
$q = mysql_query($sql);
if (mysql_num_rows($q))
{
    // Verific daca perioada este valida si daca nu a fost incarcat fisier valid  
    
    // Incarc fisierul
    $q = mysql_query("SELECT * FROM fisiere WHERE id_fisier = $id_fisier");
    if ($r = mysql_fetch_assoc($q))
    {
        $id_utilizator = $r['id_utilizator'];
        $cale_fisier = $filespath.$id_utilizator.$separator.$r['nume_fisier'];
        $err = "";
        mysql_query("START TRANSACTION");
        mysql_query("DELETE FROM fisiere WHERE id_fisier_referinta = $id_fisier");
        $err = mysql_error();
        mysql_query("DELETE FROM fisiere WHERE id_fisier = $id_fisier");
        $err = mysql_error();
        if (!$err)
        {
            mysql_query("COMMIT");
            unlink($cale_fisier);
            $result = '';
        }
        else
        {
            mysql_query("ROLLBACK");
            $result = 'Fişierul nu poate fi şters din baza de date!';
        }    
    }
}

if ($result)
{
?>

<script language="javascript" type="text/javascript">
    alert("<?=$result ?>");
</script>
<?php
}
?>
<script language="javascript" type="text/javascript">
    
</script>
<?php
    //
?>